local MAX_DISTANCE = 600

local function createChameleon(self, x)
	local claw = GetClaw()
	local chameleon = CreateObject {x=self.X + x, y=self.Y + 16, z=self.Z, image = "LEVEL_CHAMELEON", logic="Chameleon", Damage = 10, UserRect1 = {0,0,0,0}, UserRect2 = {0,0,0,0}
	, XMax = self.X + 250, XMin = self.X - 250}
	chameleon.Y = self.Y -- readjust Y after allign to ground function runs so chameleon will to fall to ground instead of apearing at ground immediately
end

function main(self)
	self.PhysicsType = 8
	self:AnimationStep()
	if self.State == 0 then
		self.State = 1
		self.StartingX = self.X
		self.Flags.AlwaysActive = true
		self.AttackRect = {-10,-10,10,10}
		self.AttackTypeFlags = ObjectType.Player
		self.MoveRect = {-10,-10,10,10}
		self.ObjectTypeFlags = 64
		self:SetImage("LEVEL_CAMELEONSHOT")
		self:SetAnimation("LEVEL_CAMELEONSHOT_ADVANCE")
	end
		
		
	if self.Direction == 1 then
		self:Physics(self.X+self.SpeedX,self.Y)
		if math.abs(self.X - self.StartingX) > MAX_DISTANCE then
			createChameleon(self, 2 * self.SpeedX)
			self:Destroy()
		end
		if self:Physics(self.X+self.SpeedX,self.Y)~=0 then
			createChameleon(self, 2 * -self.SpeedX)
			self:Destroy()
		end
	else
		self:Physics(self.X-self.SpeedX,self.Y)
		if math.abs(self.X - self.StartingX) > MAX_DISTANCE then
			createChameleon(self, 2 * self.SpeedX)
			self:Destroy()
		end
		if self:Physics(self.X-self.SpeedX,self.Y)~=0 then
			createChameleon(self, 2 * self.SpeedX)
			self:Destroy()
		end
	end
end

function attack(self)
	local claw = GetClaw()
	
	createChameleon(self, 0)

	if claw.Health >= 0 then	
		ClawTakeDamage(self.Damage)
	end
	
	self:Destroy()
end

