function init(self)
	self.StartingX = self.X
	self.StartingY = self.Y
	
	self.Arrow1 = GetObject(2650)
	self.Arrow2 = GetObject(2661)
	self.Arrow3 = GetObject(2662)
	self.Arrow4 = GetObject(2663)
	self.Arrow5 = GetObject(2647)
	self.Arrow6 = GetObject(2649)
	self.Arrow7 = GetObject(2653)
	self.Arrow8 = GetObject(2685)
	
end

function changeStateOfArrows(self, state) -- 0 when not active 1 when active
	self.Arrow1.Smarts = state
	self.Arrow2.Smarts = state
	self.Arrow3.Smarts = state
	self.Arrow4.Smarts = state
	self.Arrow5.Smarts = state
	self.Arrow6.Smarts = state
	self.Arrow7.Smarts = state
	self.Arrow8.Smarts = state
end

function main(self)
	if self.State == 0 then
		self.State = 1
		self.FrameToNextMove = self.SpeedX
		self:SetImage("LEVEL ELEVATORS")
		self.StopTime = 0
		self.HitRect = {-32, -8, 36, 8}
		self.ObjectTypeFlags = ObjectType.Special
		self.Flags.AlwaysActive = true
		changeStateOfArrows(self, 0)
	end
	
	local claw = GetClaw()

	if self.State > 0 and claw.Health == 0 then
		self.State = 0
		self.X = self.StartingX
		self.Y = self.StartingY
		self.MoveClawX = 0
		do return end
	end
	
	if self.State == 1 and self:IsBelow(claw) then
		self.State = 2
		claw.Health = 100
		changeStateOfArrows(self, 1)
	end
	
	
	
	if self.State == 2 then
		self.MoveClawX = 0
		self.FrameToNextMove = self.FrameToNextMove - 1
		if self.FrameToNextMove <= 0 then
			self.FrameToNextMove = self.SpeedX
			self.MoveClawX = 1
			self.X = self.X + 1
			if(self.X >= self.XMax) then
				self.MoveClawX = 0
				self.State = 3
			end
		end
	end
end
