local SPIKES_DISTANCE_FROM_ELEVATOR = 30
local ELEVATOR_TOP_DISTANCE = 95

function init(self)
	self.StartinX = self.X
	self.StartingY = self.Y		
	self.Flags.AlwaysActive = true
	if self.Damage == 0 then
		self.Damage = 20
	end
end

function main(self)
	
	if self.State == 0 then
		
		self.State = 1
		self:SetImage("LEVEL_BOSSSUPPORTREAR1")
		self.SpikesAttachedFront = CreateObject {x=self.X + SPIKES_DISTANCE_FROM_ELEVATOR, y=self.Y, z=self.Z, image = "LEVEL_BOSSPIKES", logic="RedTailSpikes", Damage=100}
		self.SpikesAttachedBack = CreateObject {x=self.X - SPIKES_DISTANCE_FROM_ELEVATOR, y=self.Y, z=self.Z, image = "LEVEL_BOSSPIKES", logic="RedTailSpikes", Damage=100}
		
		self.SpikesAttachedBack.Damage = self.Damage
		self.SpikesAttachedFront.Damage = self.Damage
		
		self.SpikesAttachedBack.DrawFlags.Mirror = true

		self.SpikesAttachedFront.Flags.AlwaysActive = true
		self.SpikesAttachedBack.Flags.AlwaysActive = true

		if(self.Smarts == 1 ) then
			self.ElevetorTop = CreateObject {x=self.X, y=self.Y - ELEVATOR_TOP_DISTANCE, z=self.Z, image = "LEVEL_ELEVATOR1",  logic="CustomLogic", name="ElevatorTopOfSpikes", XMax = 0, XMin = 0, Direction = 0, YMax = 0, YMin = 0, Smarts = 1}
			self.ElevetorTop.Flags.AlwaysActive = true
		end
	end
	
	
	
	local claw = GetClaw()
	

	if self.Direction == 1 then
		self.X = self.X + self.SpeedX

		if(self.ElevetorTop ~= nil) then
			if self.ElevetorTop:IsBelow(claw) then
				self.ElevetorTop.MoveClawX = self.SpeedX
			end
		end
		if self.X + self.SpeedX > self.XMax then
			self.Direction = - 1
		end
	else

		self.X = self.X - self.SpeedX
		if(self.ElevetorTop ~= nil) then
			if self.ElevetorTop:IsBelow(claw) then
				self.ElevetorTop.MoveClawX = - self.SpeedX
			end
		end
		if self.X - self.SpeedX < self.XMin then
			self.Direction = 1
		end	
	end
	self.SpikesAttachedFront.X = self.X + SPIKES_DISTANCE_FROM_ELEVATOR
	self.SpikesAttachedBack.X = self.X - SPIKES_DISTANCE_FROM_ELEVATOR
	if(self.ElevetorTop ~= nil) then
		self.ElevetorTop.X = self.X 
	end
	
end

